Subject: Re: [rtcweb] Alternative decision process in RTCWeb
From: cowwoc <[email-masked]>
To: Bjoern Hoehrmann <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Dec 2013 10:57:23 -0500
List-Id: Real-Time Communication in WEB-browsers working group list <rtcweb.ietf.org>

On 03/12/2013 8:15 AM, Bjoern Hoehrmann wrote:
> * cowwoc wrote:
>> I'd like to point you to http://www.netindex.com/upload/allcountries/
>> for two reasons:
>>
>> 1. It states that Germany has an average upload rate of 3.13Mbps.
>> 2. It shows that upload speeds are increasing over time.
> That seems extremely unlikely to me, basic offerings like Vodafone's
> "DSL 6000" come with around 640 kbps upstream, Telekom's "Call & Surf
> Basic" comes with "up to 1 mbps", where I am right now the best DSL
> available has less than 384 kbps *downstream*; that does not add up
> to a situation where the median household has 3 mbps without extra-
> ordinary evidence ("average" over ones that care to test can naturally
> be expected to be much higher than the median over the population.)
>
>> H.261 is meant as a fallback only in the case that the market cannot
>> agree to upgrade to VP8 or H.264 at runtime. If a sizable portion of the
>> market cannot agree at runtime, what makes you believe that that same
>> sizable portion can agree on a MTI codec? And a final question, in case
>> you disagree with everything I've written so far: How do you advocate we
>> proceed in light of the fact that we already tried to (and failed) to
>> reach consensus around VP8 and H.264?
> If I were to believe VP8 and H.264 are not royality-free options that
> can be used in Free implementations of the protocol then the mandatory-
> to-implement codec is likely their only option to communicate with
> commercial implementations. If the only option is "not good enough", I
> might prefer the Working Group say so instead of offering a fig leaf.
Bjoern,

I don't understand. What is the practical benefit of declaring "No MTI" 
(as you seem to be implying) over considering H.261 as MTI?

 1. What you could accomplish with with "No MTI" you could accomplish
    with H.261 as MTI (and more).
 2. What might not be good enough for one business/use-case will be for
    another. Why penalize all use-cases?
 3. What might not be good enough in Germany (today) might be good
    enough in North America and Asia. Why penalize the rest of the world?

Things *will* improve in Germany (supply will follow demand). Up until 
recently, Canada was stuck with 1MBps upload rates for over a decade. 
Out of nowhere we started getting upload rates of 10MBps, 20MBps and 
even 50MBps. The technology is there. The only thing holding it back are 
politics (monopolies in our case) and demand.

Gili